Skip to Content
inclamoDocs

Conversations Filter

POST
/api/v1/accounts/{account_id}/conversations/filter

Filter conversations with custom filter options and pagination

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

Query Parameters

page?number
sort_by?string

Sort filtered conversations using the same options as the conversation list.

Default"last_activity_at_desc"
Value in"last_activity_at_asc""last_activity_at_desc""created_at_asc""created_at_desc""priority_asc""priority_desc""waiting_since_asc""waiting_since_desc""priority_desc_created_at_asc""unread"

Request Body

application/json
  1. body
payload?array<>

Response Body

Success

application/json
  1. response
data?
Example Request
curl -X POST 'https://helpdesk.inclamo.com/api/v1/accounts/0/conversations/filter' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "data": {    "meta": {      "mine_count": 0,      "unassigned_count": 0,      "assigned_count": 0,      "all_count": 0    },    "payload": [      {        "id": 0,        "messages": [          {            "id": 0,            "content": "string",            "account_id": 0,            "inbox_id": 0,            "conversation_id": 0,            "message_type": 0,            "created_at": 0,            "updated_at": 0,            "private": true,            "status": "sent",            "source_id": "string",            "content_type": "text",            "content_attributes": {},            "sender_type": "Contact",            "sender_id": 0,            "external_source_ids": {},            "additional_attributes": {},            "processed_message_content": "string",            "sentiment": {},            "conversation": {},            "attachment": {},            "sender": {}          }        ],        "account_id": 0,        "uuid": "string",        "additional_attributes": {},        "agent_last_seen_at": 0,        "assignee_last_seen_at": 0,        "can_reply": true,        "contact_last_seen_at": 0,        "custom_attributes": {},        "inbox_id": 0,        "labels": [          "string"        ],        "muted": true,        "snoozed_until": 0,        "status": "open",        "created_at": 0,        "updated_at": 0,        "timestamp": 0,        "first_reply_created_at": 0,        "unread_count": 0,        "last_non_activity_message": {          "id": 0,          "content": "string",          "account_id": 0,          "inbox_id": 0,          "conversation_id": 0,          "message_type": 0,          "created_at": 0,          "updated_at": 0,          "private": true,          "status": "sent",          "source_id": "string",          "content_type": "text",          "content_attributes": {},          "sender_type": "Contact",          "sender_id": 0,          "external_source_ids": {},          "additional_attributes": {},          "processed_message_content": "string",          "sentiment": {},          "conversation": {},          "attachment": {},          "sender": {}        },        "last_activity_at": 0,        "priority": "string",        "waiting_since": 0,        "sla_policy_id": 0,        "applied_sla": {},        "sla_events": [          {}        ],        "meta": {          "sender": {            "additional_attributes": {},            "availability_status": "string",            "email": "string",            "id": 0,            "name": "string",            "phone_number": "string",            "blocked": true,            "identifier": "string",            "thumbnail": "string",            "custom_attributes": {},            "last_activity_at": 0,            "created_at": 0          },          "channel": "string",          "assignee": {            "id": 0,            "access_token": "string",            "account_id": 0,            "available_name": "string",            "avatar_url": "string",            "confirmed": true,            "display_name": "string",            "message_signature": "string",            "email": "string",            "hmac_identifier": "string",            "inviter_id": 0,            "name": "string",            "provider": "string",            "pubsub_token": "string",            "role": "agent",            "ui_settings": {},            "uid": "string",            "type": "string",            "custom_attributes": {},            "accounts": [              {                "id": 0,                "name": "string",                "status": "string",                "active_at": "2019-08-24T14:15:22Z",                "role": "administrator",                "permissions": [                  "string"                ],                "availability": "string",                "availability_status": "string",                "auto_offline": true,                "custom_role_id": 0,                "custom_role": {}              }            ]          },          "hmac_verified": true        }      }    ]  }}